Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldSym

Get the symmetries for the data referred to by a field of the section

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldSym(PetscSection section, PetscInt field, PetscSectionSym *sym)

Collective

## Input Parameters

- section - the section describing data layout

- field - the field number

## Output Parameter

- sym - the symmetry describing the affect of orientation on the access of the data

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionSetFieldSym()`, `PetscSectionSymCreate()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages